diff --git a/shaders/shader.vert b/shaders/shader.vert
index 71c4904..633c256 100644
--- a/shaders/shader.vert
+++ b/shaders/shader.vert
@@ -5,6 +5,10 @@ layout(binding = 0) uniform UniformBufferObject {
     mat4 proj;
 } ubo;
 
+layout(binding = 2) uniform DynamicUBO {
+    mat4 model;
+} dynamicUbo;
+
 layout(location = 0) in vec3 inPosition;
 layout(location = 1) in vec3 inColor;
 layout(location = 2) in vec2 inTexCoord;
@@ -15,7 +19,7 @@ layout(location = 0) out vec3 fragColor;
 layout(location = 1) out vec2 fragTexCoord;
 
 void main() {
-    gl_Position = ubo.proj * ubo.view * inModel * vec4(inPosition, 1.0);
+    gl_Position = ubo.proj * ubo.view * inModel * dynamicUbo.model * vec4(inPosition, 1.0);
     fragColor = inColor;
     fragTexCoord = inTexCoord;
 }
